Index index by Group index by Distribution index by Vendor index by creation date index by Name Mirrors Help Search

librabbitmq4-0.14.0-1.1 RPM for armv6hl

From OpenSuSE Ports Tumbleweed for armv6hl

Name: librabbitmq4 Distribution: openSUSE Tumbleweed
Version: 0.14.0 Vendor: openSUSE
Release: 1.1 Build date: Wed Apr 3 13:31:37 2024
Group: Development/Libraries/C and C++ Build host: reproducible
Size: 76386 Source RPM: rabbitmq-c-0.14.0-1.1.src.rpm
Packager: http://bugs.opensuse.org
Url: https://github.com/alanxz/rabbitmq-c
Summary: Client library for AMQP
This is a C-language AMQP client library for use with AMQP servers
speaking protocol versions 0-9-1.

Provides

Requires

License

MIT

Changelog

* Wed Apr 03 2024 pgajdos@suse.com
  - version update to 0.14.0
    [#]# v0.14.0 - 2024-03-18
    [#]# Fixed
    - Fix potential stackoverflow in decoding table and array
    - Fix issue with Mach-O version (#758)
    - Make dependency on OpenSSL in rabbitmq-c.cmake match what is built (#725)
    - Fix pkg-config generation when CMAKE_INSTALL_DIR is absolute (#733)
    - Fix issue with amqp_basic_publish blocking in non-blocking mode (#780)
    - Fix SSL hostname check (#784)
    - Fix bug in amqp-consume documentation #791
    [#]# Changed
    - CMake minimum version is now 3.22
    - OpenSSL minimum version is now 1.1.1
    - Minimum TLS version supported is v1.2 (v1.3 is also supported).
    - OpenSSL ENGINE APIs are conditionally enabled based on availability
    [#]# Added
    - Add option to read username/password from file in tools (#781)
    - Add amqp_ssl_socket_enable_default_verify_paths API to allow loading from default certification paths
    - rabbitmq-c can be compiled against BoringSSL (#814)
* Fri Jun 23 2023 pgajdos@suse.com
  - version update to 0.13.0
    [#]# v0.13.0 - 2023-02-05
    [#]# Fixed
    - Fixed missing option to not install static library (#665)
    - Missing pkgconfig version in v0.12.0 output (#755, #751)
    - Correct return value from amqp_ssl_socket_set_key_buffer (#723)
    [#]# Changed
    - Remove OpenSSL code no longer needed when used with OpenSSL >= 1.1.0. (Fixed: #715, #737)
    [#]# Added
    - Integration with OSS-Fuzz (#736)
    [#]# v0.12.0 - 2023-01-31
    [#]# Changed
    - rabbitmq-c now compiles as C99
    - CMake 3.12 is new minimum required version
    - CMake -DBUILD_TESTS renamed to -DBUILD_TESTING
    - CMake -DBUILD_EXAMPLES now defaults to OFF
    - CMake -DBUILD_TOOLS now defaults to OFF
    - Unix library version now matches the release version, SONAME remains the same.
    - Modernized CMake scripts to better adopt modern standards
    - Public headers have moved to rabbitmq-c/ directory
    - Dropped support for MSVC older than VS 2010
    - Dropped support for OpenSSL v1.1.0 and older
    - Minimum SSL version set to TLSv1.2
    - Updated to RabbitMQ framing to v3.8.19
  - fixes CVE-2023-35789 [bsc#1212499]
* Wed Apr 27 2022 pgajdos@suse.com
  - give up to run testsuite when the server will not start in time
    [bsc#1198202]
* Mon Sep 06 2021 pgajdos@suse.com
  - %check: fix testsuite run
* Fri May 07 2021 Ferdinand Thiessen <rpm@fthiessen.de>
  - Update to version 0.11.0
    * Added rabbitmq-c-config.cmake
    * Add amqp_set_ssl_engine API to allow setting OpenSSL engine
    * Add amqp_ssl_socket_set_key_engine API to allow setting OpenSSL
      engine
    * Add support use of password-protected SSL keys
    * Update OpenSSL library initialization to current best practices
    * Updates to OpenSSL to support v3.0.0
    * Restore correct non-blocking behavior using OpenSSL v1.1.1
    * Fix invalid format in generated pkg-config file
    * Fix invalid AMQP_STATUS_HEARTBEAT_TIMEOUT
    * Fix incorrect port when using --server flag in CLI tools
  - Drop upstream merged reproducible.patch
* Tue Dec 22 2020 Bernhard Wiedemann <bwiedemann@suse.com>
  - Add reproducible.patch to override build date (boo#1047218)
* Thu Dec 17 2020 pgajdos@suse.com
  - %check: use rabbitmqctl await_startup to wait for RabbitMQ
    server start and rabbitmqctl stop for stopping the server
    [bsc#1180096]
* Fri Oct 30 2020 pgajdos@suse.com
  - fix tests for SLE15
* Thu Sep 03 2020 pgajdos@suse.com
  - do not skip test_basic, try to run rabbitmq-server instead
  - deleted patches
    - rabbitmq-c-remove_failing_test-0.9.0.patch (not needed)
* Wed Sep 02 2020 pgajdos@suse.com
  - rework the package [jsc#SLE-12262]:
    * run spec-cleaner
    * use cmake macros
    * source package name after github project, library package
      as subpackage
    * update to 0.10.0
    - amqp_ssl_socket_get_context can be used to get the current OpenSSL CTX*
      associated with a connection.
    - openssl: missing OpenSSL config is ignored as an OpenSSL init error (#523)
    - AMQP_DEFAULT_MAX_CHANNELS is now set to 2047 to follow current default channel
      limit in the RabbitMQ broker. (#513)
    - add additional input validation to prevent integer overflow when parsing a
      frame header. This addresses CVE-2019-18609.

Files

/usr/lib/librabbitmq.so.0.14.0
/usr/lib/librabbitmq.so.4
/usr/share/licenses/librabbitmq4
/usr/share/licenses/librabbitmq4/LICENSE


Generated by rpm2html 1.8.1

Fabrice Bellet, Tue Jul 9 10:46:35 2024